=== debian/changelog ===
chatterino-libcommuni (3.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #1120852)

 -- CHow Yoong Jin <solomoncyj@gmail.com>  Mon, 17 Nov 2025 13:21:42 +0000
