=== debian/control ===
Source: chatterino-libcommuni
Section: libs
Priority: optional
Maintainer: CHow Yoong Jin <solomoncyj@gmail.com>
Build-Depends:
 debhelper-compat (= 13), cmake, qt6-base-dev, 
Standards-Version: 4.7.0
Homepage: https://github.com/Chatterino/libcommuni
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/chatterino-libcommuni.git
#Vcs-Browser: https://salsa.debian.org/debian/chatterino-libcommuni

Package: chatterino-libcommuni-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: libcommuni WIth Cmake
 A cross-platform IRC framework written with Qt.
 Communi provides a set of tools for enabling IRC connectivity in 
 Qt-based C++ and QML applications. See the online reference
 documentation for help with getting started.
